import React, { Component } from 'react';
import { Flex, WhiteSpace, NavBar, List } from 'antd-mobile';
import './index.scss';

const Item = List.Item;
const Brief = Item.Brief;

class My extends Component {

    render() {
        return (
            <div className="flex-container">
                <Flex>
                    <Flex.Item>
                        <NavBar
                            className="my-tab"
                            mode="light"
                        >
                            我的
                        </NavBar>
                        <List className="my-list">
                            <Item arrow="horizontal" multipleLine onClick={() => { }}>
                                <img src="../image/avatar.png" alt=""/>
                                <Brief>subtitle</Brief>
                            </Item>
                        </List>
                    </Flex.Item>
                </Flex>
                <WhiteSpace size="lg" />
            </div>
        )
    }

}

export default My;