import React, { Component } from 'react';
import { connect } from 'react-redux'
import { LocaleProvider } from 'antd-mobile'
import { BrowserRouter as Router } from 'react-router-dom'
import Routes from './router'

class App extends Component {
    render() {
        return (
            <LocaleProvider>
                <Router>
                    <Routes></Routes>
                </Router>
            </LocaleProvider>
        );
    }
}

export default connect()(App);
