import React, { Component } from 'react';
import { Flex, NavBar } from 'antd-mobile';
import { VList } from '@/common/index'

import "./order.scss"

function orderList(props) {
  const orderList = props.list;
  return (
    <ul>
      {
        orderList.map((number, index) =>
          <li key={index}>{number}</li>
        )
      }
    </ul>
  );
}

class Order extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
     
    }
  handleClick = () => {
    console.log(1);
  }
  addCourseClick = () => {
    console.log(2);
  }

    render() {
        return (
          <div className="order-wrapper">
            <Flex>
              <Flex.Item>
                <NavBar
                  style={{"height": "44px"}}
                  className="order-tab"
                  mode="light"
                  icon={<i className="iconfont iconiconfront-68"></i>}
                >
                  课程报名
                </NavBar>
                <div className="order-information">
                  <i className="iconfont iconiconfront-6 order-addsize"></i>
                  <div className="order-info">完善报名信息</div>
                  <i className="iconfont iconiconfront-70 order-next"></i>
                </div>
                <div className="order-content">
                  <ul>
                  <VList handleClick={this.handleClick} ></VList>
                  </ul>
                </div>
              </Flex.Item>
            </Flex>
          </div>
      
        )
    }

}

export default Order;