import React from 'react';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';

import Index from './components/Index';
import Classify from './components/classify';
import Study from './components/study';
import My from './components/my';
import CourseList from './components/classify/courselist';
import Order from './components/order/index';
import Preferential from './components/preferential/index';
import Search from './components/search/index'
import Detail from './components/detail/index'
import Examination from './components/examination'
import ExchangeCoupons from './components/coupons/exchange-coupons'
import UseCoupon from './components/coupons/use-coupons'
// import OrderInfo from './components/order/orderinfo';
import ShopCard from './components/shopCard/index';
import BargainMiddlePage from './components/bargainMiddlePage';
import Passport from './components/passport'


const router = () => (
    <Router>
        <Switch>
            <Route exact path="/" component={Index}></Route>
            <Route path="/index" component={Index}></Route>
            <Route path='/classify' component={Classify}></Route>
            <Route path='/study' component={Study}></Route>
            <Route path='/my' component={My}></Route>
            <Route path='/courselist' component={CourseList}></Route>
            <Route path='/preferential' component={Preferential}></Route>
            <Route path='/search' component={Search}></Route>
            <Route path='/order' component={Order}></Route>
            <Route path='/detail' component={Detail}></Route>
            <Route path='/examination' component={Examination}></Route>
            <Route path='/exchange-coupons' component={ExchangeCoupons}></Route>
            <Route path='/use-coupon' component={UseCoupon}></Route>
            {/*<Route path='/orderinfo' component={OrderInfo}></Route>*/}
            <Route path='/shopcard' component={ShopCard}></Route>
            <Route path='/bargain-middle-page' component={BargainMiddlePage}></Route>
            <Route path='/passport' component={Passport}></Route>
        </Switch>
    </Router>
)


export default router;